Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network38.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
38.0.0.0
Broadcast address
39.255.255.255
First usable
38.0.0.1
Last usable
39.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 26000000 · Integer 637534208 to 671088639
Reverse DNS zones
38.in-addr.arpa
39.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100110.00000000.00000000.0000000038.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00100110.00000000.00000000.0000000038.0.0.0
Broadcast00100111.11111111.11111111.1111111139.255.255.255
Split into smaller subnets/14

38.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
138.0.0.0/1438.0.0.1 to 38.3.255.25438.3.255.255262,142
238.4.0.0/1438.4.0.1 to 38.7.255.25438.7.255.255262,142
338.8.0.0/1438.8.0.1 to 38.11.255.25438.11.255.255262,142
438.12.0.0/1438.12.0.1 to 38.15.255.25438.15.255.255262,142
538.16.0.0/1438.16.0.1 to 38.19.255.25438.19.255.255262,142
638.20.0.0/1438.20.0.1 to 38.23.255.25438.23.255.255262,142
738.24.0.0/1438.24.0.1 to 38.27.255.25438.27.255.255262,142
838.28.0.0/1438.28.0.1 to 38.31.255.25438.31.255.255262,142
938.32.0.0/1438.32.0.1 to 38.35.255.25438.35.255.255262,142
1038.36.0.0/1438.36.0.1 to 38.39.255.25438.39.255.255262,142
1138.40.0.0/1438.40.0.1 to 38.43.255.25438.43.255.255262,142
1238.44.0.0/1438.44.0.1 to 38.47.255.25438.47.255.255262,142
1338.48.0.0/1438.48.0.1 to 38.51.255.25438.51.255.255262,142
1438.52.0.0/1438.52.0.1 to 38.55.255.25438.55.255.255262,142
1538.56.0.0/1438.56.0.1 to 38.59.255.25438.59.255.255262,142
1638.60.0.0/1438.60.0.1 to 38.63.255.25438.63.255.255262,142
1738.64.0.0/1438.64.0.1 to 38.67.255.25438.67.255.255262,142
1838.68.0.0/1438.68.0.1 to 38.71.255.25438.71.255.255262,142
1938.72.0.0/1438.72.0.1 to 38.75.255.25438.75.255.255262,142
2038.76.0.0/1438.76.0.1 to 38.79.255.25438.79.255.255262,142
2138.80.0.0/1438.80.0.1 to 38.83.255.25438.83.255.255262,142
2238.84.0.0/1438.84.0.1 to 38.87.255.25438.87.255.255262,142
2338.88.0.0/1438.88.0.1 to 38.91.255.25438.91.255.255262,142
2438.92.0.0/1438.92.0.1 to 38.95.255.25438.95.255.255262,142
2538.96.0.0/1438.96.0.1 to 38.99.255.25438.99.255.255262,142
2638.100.0.0/1438.100.0.1 to 38.103.255.25438.103.255.255262,142
2738.104.0.0/1438.104.0.1 to 38.107.255.25438.107.255.255262,142
2838.108.0.0/1438.108.0.1 to 38.111.255.25438.111.255.255262,142
2938.112.0.0/1438.112.0.1 to 38.115.255.25438.115.255.255262,142
3038.116.0.0/1438.116.0.1 to 38.119.255.25438.119.255.255262,142
3138.120.0.0/1438.120.0.1 to 38.123.255.25438.123.255.255262,142
3238.124.0.0/1438.124.0.1 to 38.127.255.25438.127.255.255262,142
3338.128.0.0/1438.128.0.1 to 38.131.255.25438.131.255.255262,142
3438.132.0.0/1438.132.0.1 to 38.135.255.25438.135.255.255262,142
3538.136.0.0/1438.136.0.1 to 38.139.255.25438.139.255.255262,142
3638.140.0.0/1438.140.0.1 to 38.143.255.25438.143.255.255262,142
3738.144.0.0/1438.144.0.1 to 38.147.255.25438.147.255.255262,142
3838.148.0.0/1438.148.0.1 to 38.151.255.25438.151.255.255262,142
3938.152.0.0/1438.152.0.1 to 38.155.255.25438.155.255.255262,142
4038.156.0.0/1438.156.0.1 to 38.159.255.25438.159.255.255262,142
4138.160.0.0/1438.160.0.1 to 38.163.255.25438.163.255.255262,142
4238.164.0.0/1438.164.0.1 to 38.167.255.25438.167.255.255262,142
4338.168.0.0/1438.168.0.1 to 38.171.255.25438.171.255.255262,142
4438.172.0.0/1438.172.0.1 to 38.175.255.25438.175.255.255262,142
4538.176.0.0/1438.176.0.1 to 38.179.255.25438.179.255.255262,142
4638.180.0.0/1438.180.0.1 to 38.183.255.25438.183.255.255262,142
4738.184.0.0/1438.184.0.1 to 38.187.255.25438.187.255.255262,142
4838.188.0.0/1438.188.0.1 to 38.191.255.25438.191.255.255262,142
4938.192.0.0/1438.192.0.1 to 38.195.255.25438.195.255.255262,142
5038.196.0.0/1438.196.0.1 to 38.199.255.25438.199.255.255262,142
5138.200.0.0/1438.200.0.1 to 38.203.255.25438.203.255.255262,142
5238.204.0.0/1438.204.0.1 to 38.207.255.25438.207.255.255262,142
5338.208.0.0/1438.208.0.1 to 38.211.255.25438.211.255.255262,142
5438.212.0.0/1438.212.0.1 to 38.215.255.25438.215.255.255262,142
5538.216.0.0/1438.216.0.1 to 38.219.255.25438.219.255.255262,142
5638.220.0.0/1438.220.0.1 to 38.223.255.25438.223.255.255262,142
5738.224.0.0/1438.224.0.1 to 38.227.255.25438.227.255.255262,142
5838.228.0.0/1438.228.0.1 to 38.231.255.25438.231.255.255262,142
5938.232.0.0/1438.232.0.1 to 38.235.255.25438.235.255.255262,142
6038.236.0.0/1438.236.0.1 to 38.239.255.25438.239.255.255262,142
6138.240.0.0/1438.240.0.1 to 38.243.255.25438.243.255.255262,142
6238.244.0.0/1438.244.0.1 to 38.247.255.25438.247.255.255262,142
6338.248.0.0/1438.248.0.1 to 38.251.255.25438.251.255.255262,142
6438.252.0.0/1438.252.0.1 to 38.255.255.25438.255.255.255262,142
6539.0.0.0/1439.0.0.1 to 39.3.255.25439.3.255.255262,142
6639.4.0.0/1439.4.0.1 to 39.7.255.25439.7.255.255262,142
6739.8.0.0/1439.8.0.1 to 39.11.255.25439.11.255.255262,142
6839.12.0.0/1439.12.0.1 to 39.15.255.25439.15.255.255262,142
6939.16.0.0/1439.16.0.1 to 39.19.255.25439.19.255.255262,142
7039.20.0.0/1439.20.0.1 to 39.23.255.25439.23.255.255262,142
7139.24.0.0/1439.24.0.1 to 39.27.255.25439.27.255.255262,142
7239.28.0.0/1439.28.0.1 to 39.31.255.25439.31.255.255262,142
7339.32.0.0/1439.32.0.1 to 39.35.255.25439.35.255.255262,142
7439.36.0.0/1439.36.0.1 to 39.39.255.25439.39.255.255262,142
7539.40.0.0/1439.40.0.1 to 39.43.255.25439.43.255.255262,142
7639.44.0.0/1439.44.0.1 to 39.47.255.25439.47.255.255262,142
7739.48.0.0/1439.48.0.1 to 39.51.255.25439.51.255.255262,142
7839.52.0.0/1439.52.0.1 to 39.55.255.25439.55.255.255262,142
7939.56.0.0/1439.56.0.1 to 39.59.255.25439.59.255.255262,142
8039.60.0.0/1439.60.0.1 to 39.63.255.25439.63.255.255262,142
8139.64.0.0/1439.64.0.1 to 39.67.255.25439.67.255.255262,142
8239.68.0.0/1439.68.0.1 to 39.71.255.25439.71.255.255262,142
8339.72.0.0/1439.72.0.1 to 39.75.255.25439.75.255.255262,142
8439.76.0.0/1439.76.0.1 to 39.79.255.25439.79.255.255262,142
8539.80.0.0/1439.80.0.1 to 39.83.255.25439.83.255.255262,142
8639.84.0.0/1439.84.0.1 to 39.87.255.25439.87.255.255262,142
8739.88.0.0/1439.88.0.1 to 39.91.255.25439.91.255.255262,142
8839.92.0.0/1439.92.0.1 to 39.95.255.25439.95.255.255262,142
8939.96.0.0/1439.96.0.1 to 39.99.255.25439.99.255.255262,142
9039.100.0.0/1439.100.0.1 to 39.103.255.25439.103.255.255262,142
9139.104.0.0/1439.104.0.1 to 39.107.255.25439.107.255.255262,142
9239.108.0.0/1439.108.0.1 to 39.111.255.25439.111.255.255262,142
9339.112.0.0/1439.112.0.1 to 39.115.255.25439.115.255.255262,142
9439.116.0.0/1439.116.0.1 to 39.119.255.25439.119.255.255262,142
9539.120.0.0/1439.120.0.1 to 39.123.255.25439.123.255.255262,142
9639.124.0.0/1439.124.0.1 to 39.127.255.25439.127.255.255262,142
9739.128.0.0/1439.128.0.1 to 39.131.255.25439.131.255.255262,142
9839.132.0.0/1439.132.0.1 to 39.135.255.25439.135.255.255262,142
9939.136.0.0/1439.136.0.1 to 39.139.255.25439.139.255.255262,142
10039.140.0.0/1439.140.0.1 to 39.143.255.25439.143.255.255262,142
10139.144.0.0/1439.144.0.1 to 39.147.255.25439.147.255.255262,142
10239.148.0.0/1439.148.0.1 to 39.151.255.25439.151.255.255262,142
10339.152.0.0/1439.152.0.1 to 39.155.255.25439.155.255.255262,142
10439.156.0.0/1439.156.0.1 to 39.159.255.25439.159.255.255262,142
10539.160.0.0/1439.160.0.1 to 39.163.255.25439.163.255.255262,142
10639.164.0.0/1439.164.0.1 to 39.167.255.25439.167.255.255262,142
10739.168.0.0/1439.168.0.1 to 39.171.255.25439.171.255.255262,142
10839.172.0.0/1439.172.0.1 to 39.175.255.25439.175.255.255262,142
10939.176.0.0/1439.176.0.1 to 39.179.255.25439.179.255.255262,142
11039.180.0.0/1439.180.0.1 to 39.183.255.25439.183.255.255262,142
11139.184.0.0/1439.184.0.1 to 39.187.255.25439.187.255.255262,142
11239.188.0.0/1439.188.0.1 to 39.191.255.25439.191.255.255262,142
11339.192.0.0/1439.192.0.1 to 39.195.255.25439.195.255.255262,142
11439.196.0.0/1439.196.0.1 to 39.199.255.25439.199.255.255262,142
11539.200.0.0/1439.200.0.1 to 39.203.255.25439.203.255.255262,142
11639.204.0.0/1439.204.0.1 to 39.207.255.25439.207.255.255262,142
11739.208.0.0/1439.208.0.1 to 39.211.255.25439.211.255.255262,142
11839.212.0.0/1439.212.0.1 to 39.215.255.25439.215.255.255262,142
11939.216.0.0/1439.216.0.1 to 39.219.255.25439.219.255.255262,142
12039.220.0.0/1439.220.0.1 to 39.223.255.25439.223.255.255262,142
12139.224.0.0/1439.224.0.1 to 39.227.255.25439.227.255.255262,142
12239.228.0.0/1439.228.0.1 to 39.231.255.25439.231.255.255262,142
12339.232.0.0/1439.232.0.1 to 39.235.255.25439.235.255.255262,142
12439.236.0.0/1439.236.0.1 to 39.239.255.25439.239.255.255262,142
12539.240.0.0/1439.240.0.1 to 39.243.255.25439.243.255.255262,142
12639.244.0.0/1439.244.0.1 to 39.247.255.25439.247.255.255262,142
12739.248.0.0/1439.248.0.1 to 39.251.255.25439.251.255.255262,142
12839.252.0.0/1439.252.0.1 to 39.255.255.25439.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses